JXimc
Date: 2026-02-11

ru.ximc.libximc

## Class JXimc

- java.lang.Object
- - ru.ximc.libximc.JXimc

-     public class JXimc
      extends java.lang.Object

  libximc wrapper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JXimc.accessories_settings_t`
    `static class` | `JXimc.analog_data_t`
    `static class` | `JXimc.bootloader_version_t`
    `static class` | `JXimc.brake_settings_t`
    `static class` | `JXimc.calibration_settings_t`
    `static class` | `JXimc.calibration_t`
    `static class` | `JXimc.chart_data_t`
    `static class` | `JXimc.control_settings_calb_t`
    `static class` | `JXimc.control_settings_t`
    `static class` | `JXimc.controller_name_t`
    `static class` | `JXimc.ctp_settings_t`
    `static class` | `JXimc.debug_read_t`
    `static class` | `JXimc.debug_write_t`
    `static class` | `JXimc.device_information_t`
    `static class` | `JXimc.edges_settings_calb_t`
    `static class` | `JXimc.edges_settings_t`
    `static class` | `JXimc.emf_settings_t`
    `static class` | `JXimc.encoder_information_t`
    `static class` | `JXimc.encoder_settings_t`
    `static class` | `JXimc.engine_advanced_setup_t`
    `static class` | `JXimc.engine_settings_calb_t`
    `static class` | `JXimc.engine_settings_t`
    `static class` | `JXimc.entype_settings_t`
    `static class` | `JXimc.extended_settings_t`
    `static class` | `JXimc.extio_settings_t`
    `static class` | `JXimc.feedback_settings_t`
    `static class` | `JXimc.firmware_version_t`
    `static class` | `JXimc.Flags`
    `static class` | `JXimc.gear_information_t`
    `static class` | `JXimc.gear_settings_t`
    `static class` | `JXimc.get_position_calb_t`
    `static class` | `JXimc.get_position_t`
    `static class` | `JXimc.globally_unique_identifier_t`
    `static class` | `JXimc.hallsensor_information_t`
    `static class` | `JXimc.hallsensor_settings_t`
    `static class` | `JXimc.home_settings_calb_t`
    `static class` | `JXimc.home_settings_t`
    `static class` | `JXimc.init_random_t`
    `static class` | `JXimc.joystick_settings_t`
    `static class` | `JXimc.measurements_t`
    `static class` | `JXimc.motor_information_t`
    `static class` | `JXimc.motor_settings_t`
    `static class` | `JXimc.move_settings_calb_t`
    `static class` | `JXimc.move_settings_t`
    `static class` | `JXimc.network_settings_t`
    `static class` | `JXimc.nonvolatile_memory_t`
    `static class` | `JXimc.password_settings_t`
    `static class` | `JXimc.pid_settings_t`
    `static class` | `JXimc.power_settings_t`
    `static class` | `JXimc.secure_settings_t`
    `static class` | `JXimc.serial_number_t`
    `static class` | `JXimc.set_position_calb_t`
    `static class` | `JXimc.set_position_t`
    `static class` | `JXimc.stage_information_t`
    `static class` | `JXimc.stage_name_t`
    `static class` | `JXimc.stage_settings_t`
    `static class` | `JXimc.status_calb_t`
    `static class` | `JXimc.status_t`
    `static class` | `JXimc.sync_in_settings_calb_t`
    `static class` | `JXimc.sync_in_settings_t`
    `static class` | `JXimc.sync_out_settings_calb_t`
    `static class` | `JXimc.sync_out_settings_t`
    `static class` | `JXimc.uart_settings_t`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEVICE_UNDEFINED` Special device id
    `static java.lang.String` | `LIBXIMC_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JXimc()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `close_device(int id)`
    `static void` | `command_eeread_settings(int id)`
    `static void` | `command_eesave_settings(int id)`
    `static void` | `command_home(int id)`
    `static void` | `command_left(int id)`
    `static void` | `command_loft(int id)`
    `static void` | `command_move_calb(int id, float Position, JXimc.calibration_t calibration)`
    `static void` | `command_move(int id, int Position, short uPosition)`
    `static void` | `command_movr_calb(int id, float DeltaPosition, JXimc.calibration_t calibration)`
    `static void` | `command_movr(int id, int DeltaPosition, short uDeltaPosition)`
    `static void` | `command_power_off(int id)`
    `static void` | `command_read_robust_settings(int id)`
    `static void` | `command_read_settings(int id)`
    `static void` | `command_reset(int id)`
    `static void` | `command_right(int id)`
    `static void` | `command_save_robust_settings(int id)`
    `static void` | `command_save_settings(int id)`
    `static void` | `command_sstp(int id)`
    `static void` | `command_start_measurements(int id)`
    `static void` | `command_stop(int id)`
    `static void` | `command_update_firmware(java.lang.String name, byte[] data, int data_size)`
    `static void` | `command_wait_for_stop(int id, int wait_interval_ms)`
    `static void` | `command_zero(int id)`
    `static long` | `enumerate_devices(int enumerate_flags, java.lang.String hints)`
    `static void` | `free_enumerate_devices(long device_enumeration)`
    `static JXimc.accessories_settings_t` | `get_accessories_settings(int id)`
    `static JXimc.analog_data_t` | `get_analog_data(int id)`
    `static JXimc.bootloader_version_t` | `get_bootloader_version(int id)`
    `static JXimc.brake_settings_t` | `get_brake_settings(int id)`
    `static JXimc.calibration_settings_t` | `get_calibration_settings(int id)`
    `static JXimc.chart_data_t` | `get_chart_data(int id)`
    `static JXimc.control_settings_calb_t` | `get_control_settings_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.control_settings_t` | `get_control_settings(int id)`
    `static JXimc.controller_name_t` | `get_controller_name(int id)`
    `static JXimc.ctp_settings_t` | `get_ctp_settings(int id)`
    `static JXimc.debug_read_t` | `get_debug_read(int id)`
    `static int` | `get_device_count(long device_enumeration)`
    `static JXimc.device_information_t` | `get_device_information(int id)`
    `static java.lang.String` | `get_device_name(long device_enumeration, int device_index)`
    `static JXimc.edges_settings_calb_t` | `get_edges_settings_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.edges_settings_t` | `get_edges_settings(int id)`
    `static JXimc.emf_settings_t` | `get_emf_settings(int id)`
    `static JXimc.encoder_information_t` | `get_encoder_information(int id)`
    `static JXimc.encoder_settings_t` | `get_encoder_settings(int id)`
    `static JXimc.engine_advanced_setup_t` | `get_engine_advanced_setup(int id)`
    `static JXimc.engine_settings_calb_t` | `get_engine_settings_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.engine_settings_t` | `get_engine_settings(int id)`
    `static JXimc.entype_settings_t` | `get_entype_settings(int id)`
    `static JXimc.device_information_t` | `get_enumerate_device_information(long device_enumeration, int device_index)`
    `static long` | `get_enumerate_device_serial(long device_enumeration, int device_index)`
    `static JXimc.extended_settings_t` | `get_extended_settings(int id)`
    `static JXimc.extio_settings_t` | `get_extio_settings(int id)`
    `static JXimc.feedback_settings_t` | `get_feedback_settings(int id)`
    `static JXimc.firmware_version_t` | `get_firmware_version(int id)`
    `static JXimc.gear_information_t` | `get_gear_information(int id)`
    `static JXimc.gear_settings_t` | `get_gear_settings(int id)`
    `static JXimc.globally_unique_identifier_t` | `get_globally_unique_identifier(int id)`
    `static JXimc.hallsensor_information_t` | `get_hallsensor_information(int id)`
    `static JXimc.hallsensor_settings_t` | `get_hallsensor_settings(int id)`
    `static JXimc.home_settings_calb_t` | `get_home_settings_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.home_settings_t` | `get_home_settings(int id)`
    `static JXimc.init_random_t` | `get_init_random(int id)`
    `static JXimc.joystick_settings_t` | `get_joystick_settings(int id)`
    `static JXimc.measurements_t` | `get_measurements(int id)`
    `static JXimc.motor_information_t` | `get_motor_information(int id)`
    `static JXimc.motor_settings_t` | `get_motor_settings(int id)`
    `static JXimc.move_settings_calb_t` | `get_move_settings_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.move_settings_t` | `get_move_settings(int id)`
    `static JXimc.network_settings_t` | `get_network_settings(int id)`
    `static JXimc.nonvolatile_memory_t` | `get_nonvolatile_memory(int id)`
    `static JXimc.password_settings_t` | `get_password_settings(int id)`
    `static JXimc.pid_settings_t` | `get_pid_settings(int id)`
    `static JXimc.get_position_calb_t` | `get_position_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.get_position_t` | `get_position(int id)`
    `static JXimc.power_settings_t` | `get_power_settings(int id)`
    `static JXimc.secure_settings_t` | `get_secure_settings(int id)`
    `static int` | `get_serial_number(int id)`
    `static JXimc.stage_information_t` | `get_stage_information(int id)`
    `static JXimc.stage_name_t` | `get_stage_name(int id)`
    `static JXimc.stage_settings_t` | `get_stage_settings(int id)`
    `static JXimc.status_calb_t` | `get_status_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.status_t` | `get_status(int id)`
    `static JXimc.sync_in_settings_calb_t` | `get_sync_in_settings_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.sync_in_settings_t` | `get_sync_in_settings(int id)`
    `static JXimc.sync_out_settings_calb_t` | `get_sync_out_settings_calb(int id, JXimc.calibration_t calibration)`
    `static JXimc.sync_out_settings_t` | `get_sync_out_settings(int id)`
    `static JXimc.uart_settings_t` | `get_uart_settings(int id)`
    `static boolean` | `goto_firmware(int id)`
    `static boolean` | `has_firmware(java.lang.String name)`
    `static void` | `msec_sleep(int id)`
    `static int` | `open_device(java.lang.String name)` Hand-crafted functions
    `static void` | `probe_device(java.lang.String name)`
    `static void` | `reset_locks()`
    `static void` | `service_command_updf(int id)`
    `static void` | `set_accessories_settings(int id, JXimc.accessories_settings_t accessories_settings)`
    `static void` | `set_brake_settings(int id, JXimc.brake_settings_t brake_settings)`
    `static void` | `set_calibration_settings(int id, JXimc.calibration_settings_t calibration_settings)`
    `static void` | `set_control_settings_calb(int id, JXimc.control_settings_calb_t control_settings_calb, JXimc.calibration_t calibration)`
    `static void` | `set_control_settings(int id, JXimc.control_settings_t control_settings)`
    `static void` | `set_controller_name(int id, JXimc.controller_name_t controller_name)`
    `static void` | `set_ctp_settings(int id, JXimc.ctp_settings_t ctp_settings)`
    `static void` | `set_debug_write(int id, JXimc.debug_write_t debug_write)`
    `static void` | `set_edges_settings_calb(int id, JXimc.edges_settings_calb_t edges_settings_calb, JXimc.calibration_t calibration)`
    `static void` | `set_edges_settings(int id, JXimc.edges_settings_t edges_settings)`
    `static void` | `set_emf_settings(int id, JXimc.emf_settings_t emf_settings)`
    `static void` | `set_encoder_information(int id, JXimc.encoder_information_t encoder_information)`
    `static void` | `set_encoder_settings(int id, JXimc.encoder_settings_t encoder_settings)`
    `static void` | `set_engine_advanced_setup(int id, JXimc.engine_advanced_setup_t engine_advanced_setup)`
    `static void` | `set_engine_settings_calb(int id, JXimc.engine_settings_calb_t engine_settings_calb, JXimc.calibration_t calibration)`
    `static void` | `set_engine_settings(int id, JXimc.engine_settings_t engine_settings)`
    `static void` | `set_entype_settings(int id, JXimc.entype_settings_t entype_settings)`
    `static void` | `set_extended_settings(int id, JXimc.extended_settings_t extended_settings)`
    `static void` | `set_extio_settings(int id, JXimc.extio_settings_t extio_settings)`
    `static void` | `set_feedback_settings(int id, JXimc.feedback_settings_t feedback_settings)`
    `static void` | `set_gear_information(int id, JXimc.gear_information_t gear_information)`
    `static void` | `set_gear_settings(int id, JXimc.gear_settings_t gear_settings)`
    `static void` | `set_hallsensor_information(int id, JXimc.hallsensor_information_t hallsensor_information)`
    `static void` | `set_hallsensor_settings(int id, JXimc.hallsensor_settings_t hallsensor_settings)`
    `static void` | `set_home_settings_calb(int id, JXimc.home_settings_calb_t home_settings_calb, JXimc.calibration_t calibration)`
    `static void` | `set_home_settings(int id, JXimc.home_settings_t home_settings)`
    `static void` | `set_joystick_settings(int id, JXimc.joystick_settings_t joystick_settings)`
    `static void` | `set_motor_information(int id, JXimc.motor_information_t motor_information)`
    `static void` | `set_motor_settings(int id, JXimc.motor_settings_t motor_settings)`
    `static void` | `set_move_settings_calb(int id, JXimc.move_settings_calb_t move_settings_calb, JXimc.calibration_t calibration)`
    `static void` | `set_move_settings(int id, JXimc.move_settings_t move_settings)`
    `static void` | `set_network_settings(int id, JXimc.network_settings_t network_settings)`
    `static void` | `set_nonvolatile_memory(int id, JXimc.nonvolatile_memory_t nonvolatile_memory)`
    `static void` | `set_password_settings(int id, JXimc.password_settings_t password_settings)`
    `static void` | `set_pid_settings(int id, JXimc.pid_settings_t pid_settings)`
    `static void` | `set_position_calb(int id, JXimc.set_position_calb_t the_set_position_calb, JXimc.calibration_t calibration)`
    `static void` | `set_position(int id, JXimc.set_position_t the_set_position)`
    `static void` | `set_power_settings(int id, JXimc.power_settings_t power_settings)`
    `static void` | `set_secure_settings(int id, JXimc.secure_settings_t secure_settings)`
    `static void` | `set_serial_number(int id, JXimc.serial_number_t serial_number)`
    `static void` | `set_stage_information(int id, JXimc.stage_information_t stage_information)`
    `static void` | `set_stage_name(int id, JXimc.stage_name_t stage_name)`
    `static void` | `set_stage_settings(int id, JXimc.stage_settings_t stage_settings)`
    `static void` | `set_sync_in_settings_calb(int id, JXimc.sync_in_settings_calb_t sync_in_settings_calb, JXimc.calibration_t calibration)`
    `static void` | `set_sync_in_settings(int id, JXimc.sync_in_settings_t sync_in_settings)`
    `static void` | `set_sync_out_settings_calb(int id, JXimc.sync_out_settings_calb_t sync_out_settings_calb, JXimc.calibration_t calibration)`
    `static void` | `set_sync_out_settings(int id, JXimc.sync_out_settings_t sync_out_settings)`
    `static void` | `set_uart_settings(int id, JXimc.uart_settings_t uart_settings)`
    `static void` | `write_key(java.lang.String name, byte[] key)`
    `static java.lang.String` | `ximc_version()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_UNDEFINED

          public static final int DEVICE_UNDEFINED

      Special device id
      See Also:
        Constant Field Values

    - #### LIBXIMC_VERSION

          public static final java.lang.String LIBXIMC_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JXimc

          public JXimc()

  - ### Method Detail

    - #### set_feedback_settings

          public static void set_feedback_settings(int id,
                                                   JXimc.feedback_settings_t feedback_settings)

    - #### get_feedback_settings

          public static JXimc.feedback_settings_t get_feedback_settings(int id)

    - #### set_home_settings

          public static void set_home_settings(int id,
                                               JXimc.home_settings_t home_settings)

    - #### set_home_settings_calb

          public static void set_home_settings_calb(int id,
                                                    JXimc.home_settings_calb_t home_settings_calb,
                                                    JXimc.calibration_t calibration)

    - #### get_home_settings

          public static JXimc.home_settings_t get_home_settings(int id)

    - #### get_home_settings_calb

          public static JXimc.home_settings_calb_t get_home_settings_calb(int id,
                                                                          JXimc.calibration_t calibration)

    - #### set_move_settings

          public static void set_move_settings(int id,
                                               JXimc.move_settings_t move_settings)

    - #### set_move_settings_calb

          public static void set_move_settings_calb(int id,
                                                    JXimc.move_settings_calb_t move_settings_calb,
                                                    JXimc.calibration_t calibration)

    - #### get_move_settings

          public static JXimc.move_settings_t get_move_settings(int id)

    - #### get_move_settings_calb

          public static JXimc.move_settings_calb_t get_move_settings_calb(int id,
                                                                          JXimc.calibration_t calibration)

    - #### set_engine_settings

          public static void set_engine_settings(int id,
                                                 JXimc.engine_settings_t engine_settings)

    - #### set_engine_settings_calb

          public static void set_engine_settings_calb(int id,
                                                      JXimc.engine_settings_calb_t engine_settings_calb,
                                                      JXimc.calibration_t calibration)

    - #### get_engine_settings

          public static JXimc.engine_settings_t get_engine_settings(int id)

    - #### get_engine_settings_calb

          public static JXimc.engine_settings_calb_t get_engine_settings_calb(int id,
                                                                              JXimc.calibration_t calibration)

    - #### set_entype_settings

          public static void set_entype_settings(int id,
                                                 JXimc.entype_settings_t entype_settings)

    - #### get_entype_settings

          public static JXimc.entype_settings_t get_entype_settings(int id)

    - #### set_power_settings

          public static void set_power_settings(int id,
                                                JXimc.power_settings_t power_settings)

    - #### get_power_settings

          public static JXimc.power_settings_t get_power_settings(int id)

    - #### set_secure_settings

          public static void set_secure_settings(int id,
                                                 JXimc.secure_settings_t secure_settings)

    - #### get_secure_settings

          public static JXimc.secure_settings_t get_secure_settings(int id)

    - #### set_edges_settings

          public static void set_edges_settings(int id,
                                                JXimc.edges_settings_t edges_settings)

    - #### set_edges_settings_calb

          public static void set_edges_settings_calb(int id,
                                                     JXimc.edges_settings_calb_t edges_settings_calb,
                                                     JXimc.calibration_t calibration)

    - #### get_edges_settings

          public static JXimc.edges_settings_t get_edges_settings(int id)

    - #### get_edges_settings_calb

          public static JXimc.edges_settings_calb_t get_edges_settings_calb(int id,
                                                                            JXimc.calibration_t calibration)

    - #### set_pid_settings

          public static void set_pid_settings(int id,
                                              JXimc.pid_settings_t pid_settings)

    - #### get_pid_settings

          public static JXimc.pid_settings_t get_pid_settings(int id)

    - #### set_sync_in_settings

          public static void set_sync_in_settings(int id,
                                                  JXimc.sync_in_settings_t sync_in_settings)

    - #### set_sync_in_settings_calb

          public static void set_sync_in_settings_calb(int id,
                                                       JXimc.sync_in_settings_calb_t sync_in_settings_calb,
                                                       JXimc.calibration_t calibration)

    - #### get_sync_in_settings

          public static JXimc.sync_in_settings_t get_sync_in_settings(int id)

    - #### get_sync_in_settings_calb

          public static JXimc.sync_in_settings_calb_t get_sync_in_settings_calb(int id,
                                                                                JXimc.calibration_t calibration)

    - #### set_sync_out_settings

          public static void set_sync_out_settings(int id,
                                                   JXimc.sync_out_settings_t sync_out_settings)

    - #### set_sync_out_settings_calb

          public static void set_sync_out_settings_calb(int id,
                                                        JXimc.sync_out_settings_calb_t sync_out_settings_calb,
                                                        JXimc.calibration_t calibration)

    - #### get_sync_out_settings

          public static JXimc.sync_out_settings_t get_sync_out_settings(int id)

    - #### get_sync_out_settings_calb

          public static JXimc.sync_out_settings_calb_t get_sync_out_settings_calb(int id,
                                                                                  JXimc.calibration_t calibration)

    - #### set_extio_settings

          public static void set_extio_settings(int id,
                                                JXimc.extio_settings_t extio_settings)

    - #### get_extio_settings

          public static JXimc.extio_settings_t get_extio_settings(int id)

    - #### set_brake_settings

          public static void set_brake_settings(int id,
                                                JXimc.brake_settings_t brake_settings)

    - #### get_brake_settings

          public static JXimc.brake_settings_t get_brake_settings(int id)

    - #### set_control_settings

          public static void set_control_settings(int id,
                                                  JXimc.control_settings_t control_settings)

    - #### set_control_settings_calb

          public static void set_control_settings_calb(int id,
                                                       JXimc.control_settings_calb_t control_settings_calb,
                                                       JXimc.calibration_t calibration)

    - #### get_control_settings

          public static JXimc.control_settings_t get_control_settings(int id)

    - #### get_control_settings_calb

          public static JXimc.control_settings_calb_t get_control_settings_calb(int id,
                                                                                JXimc.calibration_t calibration)

    - #### set_joystick_settings

          public static void set_joystick_settings(int id,
                                                   JXimc.joystick_settings_t joystick_settings)

    - #### get_joystick_settings

          public static JXimc.joystick_settings_t get_joystick_settings(int id)

    - #### set_ctp_settings

          public static void set_ctp_settings(int id,
                                              JXimc.ctp_settings_t ctp_settings)

    - #### get_ctp_settings

          public static JXimc.ctp_settings_t get_ctp_settings(int id)

    - #### set_uart_settings

          public static void set_uart_settings(int id,
                                               JXimc.uart_settings_t uart_settings)

    - #### get_uart_settings

          public static JXimc.uart_settings_t get_uart_settings(int id)

    - #### set_network_settings

          public static void set_network_settings(int id,
                                                  JXimc.network_settings_t network_settings)

    - #### get_network_settings

          public static JXimc.network_settings_t get_network_settings(int id)

    - #### set_password_settings

          public static void set_password_settings(int id,
                                                   JXimc.password_settings_t password_settings)

    - #### get_password_settings

          public static JXimc.password_settings_t get_password_settings(int id)

    - #### set_calibration_settings

          public static void set_calibration_settings(int id,
                                                      JXimc.calibration_settings_t calibration_settings)

    - #### get_calibration_settings

          public static JXimc.calibration_settings_t get_calibration_settings(int id)

    - #### set_controller_name

          public static void set_controller_name(int id,
                                                 JXimc.controller_name_t controller_name)

    - #### get_controller_name

          public static JXimc.controller_name_t get_controller_name(int id)

    - #### set_nonvolatile_memory

          public static void set_nonvolatile_memory(int id,
                                                    JXimc.nonvolatile_memory_t nonvolatile_memory)

    - #### get_nonvolatile_memory

          public static JXimc.nonvolatile_memory_t get_nonvolatile_memory(int id)

    - #### set_emf_settings

          public static void set_emf_settings(int id,
                                              JXimc.emf_settings_t emf_settings)

    - #### get_emf_settings

          public static JXimc.emf_settings_t get_emf_settings(int id)

    - #### set_engine_advanced_setup

          public static void set_engine_advanced_setup(int id,
                                                       JXimc.engine_advanced_setup_t engine_advanced_setup)

    - #### get_engine_advanced_setup

          public static JXimc.engine_advanced_setup_t get_engine_advanced_setup(int id)

    - #### set_extended_settings

          public static void set_extended_settings(int id,
                                                   JXimc.extended_settings_t extended_settings)

    - #### get_extended_settings

          public static JXimc.extended_settings_t get_extended_settings(int id)

    - #### command_stop

          public static void command_stop(int id)

    - #### command_power_off

          public static void command_power_off(int id)

    - #### command_move

          public static void command_move(int id,
                                          int Position,
                                          short uPosition)

    - #### command_move_calb

          public static void command_move_calb(int id,
                                               float Position,
                                               JXimc.calibration_t calibration)

    - #### command_movr

          public static void command_movr(int id,
                                          int DeltaPosition,
                                          short uDeltaPosition)

    - #### command_movr_calb

          public static void command_movr_calb(int id,
                                               float DeltaPosition,
                                               JXimc.calibration_t calibration)

    - #### command_home

          public static void command_home(int id)

    - #### command_left

          public static void command_left(int id)

    - #### command_right

          public static void command_right(int id)

    - #### command_loft

          public static void command_loft(int id)

    - #### command_sstp

          public static void command_sstp(int id)

    - #### get_position

          public static JXimc.get_position_t get_position(int id)

    - #### get_position_calb

          public static JXimc.get_position_calb_t get_position_calb(int id,
                                                                    JXimc.calibration_t calibration)

    - #### set_position

          public static void set_position(int id,
                                          JXimc.set_position_t the_set_position)

    - #### set_position_calb

          public static void set_position_calb(int id,
                                               JXimc.set_position_calb_t the_set_position_calb,
                                               JXimc.calibration_t calibration)

    - #### command_zero

          public static void command_zero(int id)

    - #### command_save_settings

          public static void command_save_settings(int id)

    - #### command_read_settings

          public static void command_read_settings(int id)

    - #### command_save_robust_settings

          public static void command_save_robust_settings(int id)

    - #### command_read_robust_settings

          public static void command_read_robust_settings(int id)

    - #### command_eesave_settings

          public static void command_eesave_settings(int id)

    - #### command_eeread_settings

          public static void command_eeread_settings(int id)

    - #### command_start_measurements

          public static void command_start_measurements(int id)

    - #### get_measurements

          public static JXimc.measurements_t get_measurements(int id)

    - #### get_chart_data

          public static JXimc.chart_data_t get_chart_data(int id)

    - #### get_serial_number

          public static int get_serial_number(int id)

    - #### get_firmware_version

          public static JXimc.firmware_version_t get_firmware_version(int id)

    - #### service_command_updf

          public static void service_command_updf(int id)

    - #### set_serial_number

          public static void set_serial_number(int id,
                                               JXimc.serial_number_t serial_number)

    - #### get_analog_data

          public static JXimc.analog_data_t get_analog_data(int id)

    - #### get_debug_read

          public static JXimc.debug_read_t get_debug_read(int id)

    - #### set_debug_write

          public static void set_debug_write(int id,
                                             JXimc.debug_write_t debug_write)

    - #### set_stage_name

          public static void set_stage_name(int id,
                                            JXimc.stage_name_t stage_name)

    - #### get_stage_name

          public static JXimc.stage_name_t get_stage_name(int id)

    - #### set_stage_information

          public static void set_stage_information(int id,
                                                   JXimc.stage_information_t stage_information)

    - #### get_stage_information

          public static JXimc.stage_information_t get_stage_information(int id)

    - #### set_stage_settings

          public static void set_stage_settings(int id,
                                                JXimc.stage_settings_t stage_settings)

    - #### get_stage_settings

          public static JXimc.stage_settings_t get_stage_settings(int id)

    - #### set_motor_information

          public static void set_motor_information(int id,
                                                   JXimc.motor_information_t motor_information)

    - #### get_motor_information

          public static JXimc.motor_information_t get_motor_information(int id)

    - #### set_motor_settings

          public static void set_motor_settings(int id,
                                                JXimc.motor_settings_t motor_settings)

    - #### get_motor_settings

          public static JXimc.motor_settings_t get_motor_settings(int id)

    - #### set_encoder_information

          public static void set_encoder_information(int id,
                                                     JXimc.encoder_information_t encoder_information)

    - #### get_encoder_information

          public static JXimc.encoder_information_t get_encoder_information(int id)

    - #### set_encoder_settings

          public static void set_encoder_settings(int id,
                                                  JXimc.encoder_settings_t encoder_settings)

    - #### get_encoder_settings

          public static JXimc.encoder_settings_t get_encoder_settings(int id)

    - #### set_hallsensor_information

          public static void set_hallsensor_information(int id,
                                                        JXimc.hallsensor_information_t hallsensor_information)

    - #### get_hallsensor_information

          public static JXimc.hallsensor_information_t get_hallsensor_information(int id)

    - #### set_hallsensor_settings

          public static void set_hallsensor_settings(int id,
                                                     JXimc.hallsensor_settings_t hallsensor_settings)

    - #### get_hallsensor_settings

          public static JXimc.hallsensor_settings_t get_hallsensor_settings(int id)

    - #### set_gear_information

          public static void set_gear_information(int id,
                                                  JXimc.gear_information_t gear_information)

    - #### get_gear_information

          public static JXimc.gear_information_t get_gear_information(int id)

    - #### set_gear_settings

          public static void set_gear_settings(int id,
                                               JXimc.gear_settings_t gear_settings)

    - #### get_gear_settings

          public static JXimc.gear_settings_t get_gear_settings(int id)

    - #### set_accessories_settings

          public static void set_accessories_settings(int id,
                                                      JXimc.accessories_settings_t accessories_settings)

    - #### get_accessories_settings

          public static JXimc.accessories_settings_t get_accessories_settings(int id)

    - #### get_bootloader_version

          public static JXimc.bootloader_version_t get_bootloader_version(int id)

    - #### get_init_random

          public static JXimc.init_random_t get_init_random(int id)

    - #### get_globally_unique_identifier

          public static JXimc.globally_unique_identifier_t get_globally_unique_identifier(int id)

    - #### open_device

          public static int open_device(java.lang.String name)

      Hand-crafted functions

    - #### close_device

          public static void close_device(int id)

    - #### probe_device

          public static void probe_device(java.lang.String name)

    - #### reset_locks

          public static void reset_locks()

    - #### goto_firmware

          public static boolean goto_firmware(int id)

    - #### has_firmware

          public static boolean has_firmware(java.lang.String name)

    - #### write_key

          public static void write_key(java.lang.String name,
                                       byte[] key)

    - #### command_reset

          public static void command_reset(int id)

    - #### command_update_firmware

          public static void command_update_firmware(java.lang.String name,
                                                     byte[] data,
                                                     int data_size)

    - #### msec_sleep

          public static void msec_sleep(int id)

    - #### ximc_version

          public static java.lang.String ximc_version()

    - #### enumerate_devices

          public static long enumerate_devices(int enumerate_flags,
                                               java.lang.String hints)

    - #### free_enumerate_devices

          public static void free_enumerate_devices(long device_enumeration)

    - #### get_device_count

          public static int get_device_count(long device_enumeration)

    - #### get_device_name

          public static java.lang.String get_device_name(long device_enumeration,
                                                         int device_index)

    - #### get_enumerate_device_information

          public static JXimc.device_information_t get_enumerate_device_information(long device_enumeration,
                                                                                    int device_index)

    - #### get_enumerate_device_serial

          public static long get_enumerate_device_serial(long device_enumeration,
                                                         int device_index)

    - #### get_status

          public static JXimc.status_t get_status(int id)

    - #### get_status_calb

          public static JXimc.status_calb_t get_status_calb(int id,
                                                            JXimc.calibration_t calibration)

    - #### get_device_information

          public static JXimc.device_information_t get_device_information(int id)

    - #### command_wait_for_stop

          public static void command_wait_for_stop(int id,
                                                   int wait_interval_ms)